Attribute VB_Name = "Global"

Option Explicit

Public Declare Function ShellExecute Lib "shell32.dll" Alias "ShellExecuteA" (ByVal hWnd As Long, ByVal lpOperation As String, ByVal lpFile As String, ByVal lpParameters As String, ByVal lpDirectory As String, ByVal nShowCmd As Long) As Long
Public Const SW_SHOWNORMAL = 1

Type Winding
    Turns As Integer
    Layers As Integer
    L As Single
    Thickness As Single
    ILThickness As Single
    ILDK As Single
    ShuntCap As Single
End Type
   
Dim Windings() As Winding

Type MuVsB
    Mu As Single
    B As Single
End Type

Dim TbMu() As MuVsB
Global Tmax As Single
Global CoreData As String  'Le nom du fichier


Public Sub FillTbMu()
Dim S As String
Dim T As String
Dim I As Integer
Dim J As Integer

'    CoreData = ".\M6x.dat"
'    CoreData = ".\V400-50a.dat"
'    CoreData = F
    
    Tmax = Val(GetIniString(CoreData, "GENERAL", "MaxB"))
    If Tmax = 0 Then Tmax = 1.25
    S = GetKeysInSection(CoreData, "PERM")

    I = 1
    T = Substring(S, I, ",")
    Do While Len(T)
        ReDim Preserve TbMu(J + 1)
        TbMu(J).B = Val(T)
        TbMu(J).Mu = Val(GetIniString(CoreData, "PERM", T))
        I = I + 1
        J = J + 1
        T = Substring(S, I, ",")
    Loop
End Sub

Public Function Extrapol(X As Single) As Single
Dim I As Integer
Dim NX As Single
Dim PX As Single
Dim NY As Single
Dim PY As Single

    For I = LBound(TbMu) To UBound(TbMu)
        If TbMu(I).B >= X Then  'Trouv ou trop loin
            NX = TbMu(I).B
            PX = NX
            NY = TbMu(I).Mu
            PY = NY
            If I > LBound(TbMu) Then    'Il y a un prcdent
                PX = TbMu(I - 1).B
                PY = TbMu(I - 1).Mu
            End If
            Extrapol = PY + ((NY - PY) / ((NX - PX) / (X - PX)))
            Exit Function   'Ca baigne !
        End If
    Next I
    Extrapol = TbMu(I - 2).Mu 'X trop grand,on renvoie le plafond !
End Function

Public Function SpawnObject(Fichier As String)
Dim X As Long

    If FileExists(Fichier) Then
'        Shell "Notepad.exe", vbMaximizedFocus
'        Shell Fichier
        X = ShellExecute(0, "Open", Fichier, "", App.Path, SW_SHOWNORMAL)
        DoEvents
    End If
End Function

